Pauses for user input of a circle.
Rhino.GetCircle ([intMode [, arrPoint [, arrPlane [, strPrompt1 [, strPrompt2 [, strPrompt3]]]]])
intMode |
Optional. Number. The box selection mode. If not specified, all modes (0) are available. The box selection modes are as follows:
|
||||||||||||||
arrPoint |
Optional. Array. A 3-D center point. Note, if intMode=1, then arrPoint is required. |
||||||||||||||
arrPlane |
Optional. Array. A circle's base plane. Note, not all modes use this parameter. |
||||||||||||||
strPrompt1 |
Optional. String. The first prompt or message. |
||||||||||||||
strPrompt2 |
Optional. String. The second prompt or message. |
||||||||||||||
strPrompt3 |
Optional. String. The third prompt or message. |
Array |
An array containing the definition of the circle if successful. The elements of the array are as follows:
|
|||||||||
Null |
If not successful, or on error. |
Dim arrCircle
arrCircle = Rhino.GetCircle(1, Array(0,0,0), Rhino.WorldYZPlane)
If IsArray(arrCircle) Then
Rhino.AddCircle arrCircle(0), arrCircle(1)
End If